Create and award PDF certificates on entities.

Features
---
* Interface for managing custom certificate templates and mappings
* Mapping API for certificate eligibility
* Use of Tokens for certificate display
* Bundled [Course](https://drupal.org/project/course) and [Quiz](https://drupal.org/project/quiz) integration to award certificates on passing attempts
* Utilizes [Entity print](https://drupal.org/project/entity_print) module for PDF output (use any supported PDF generator)

Getting started
---

1. Enable Certificate module
2. Configure Entity Print (/admin/config/content/entityprint)
3. Create a new certificate template at Certificate -> Certificate templates
4. Add an Entity Reference field to the entity type you wish to award certificates on.
5. Reference the "Certificate mapping" entity type with unlimited values.
6. On "Form display" set the widget to "Inline entity form - complex" (recommended)
Note that certificates will be immediately available unless you write a custom integration, or use the provided `course_certificate` or `quiz_certificate` integrations.
7. Create the new entity type and set your mappings (choose "manual")
8. Click on the "Certificate" tab to receive the certificate

Certificate mapping
---

Certificate has the ability to award different certificates depending on
arbitrary criteria. You may use the Rules engine to build selection logic. You
can also use the mapper API for more complex mapping.

See `src/Plugin/certificate/CertificateMapper` for example implementations.
